package org.eclipse.stardust.clustering;

import org.eclipse.stardust.engine.api.runtime.AdministrationService;
import org.eclipse.stardust.engine.api.runtime.Daemon;

/**
 * Interface to describe an action that is carried out with a particular {@link Daemon}
 * in the context of a certain partition.
 * 
 * @author JanHendrik.Scheufen
 */
public interface IDaemonAdministrationAction {
	
	public void executeWithDaemon( AdministrationService adminService,
			Daemon daemon, String partition );

}
